Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\DoctrineStorage Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\DoctrineStorage:

## Public Member Functions
| __construct (UrlGateway $urlGateway, Connection $connection)
| getContentIds (array $remoteIds)
| Return a list of Content ids for a list of remote ids. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway
| __construct (UrlGateway $urlGateway)
| getIdUrlMap (array $ids)
| Returns a list of URLs for a list of URL ids. More...
| getUrlIdMap (array $urls)
| Returns a list of URL ids for a list of URLs. More...
| insertUrl ($url)
| Inserts a new $url and returns its id. More...
| linkUrl ($urlId, $fieldId, $versionNo)
| Creates link to URL with $urlId for field with $fieldId in $versionNo. More...
| unlinkUrl ($fieldId, $versionNo)
| Removes link to URL for $fieldId in $versionNo and cleans up possibly orphaned URLs. More...

## Protected Attributes
| $connection
Protected Attributes inherited from eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway
| $urlGateway

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\SPI\FieldType\StorageGateway
| getSequenceName ($table, $column)
| Get sequence name bound to database table and column. More...

## Detailed Description

Definition at line 13 of file RichText/RichTextStorage/Gateway/DoctrineStorage.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\DoctrineStorage::__construct | ( | UrlGateway | $urlGateway,
|  | Connection | $connection
| ) |  |

Definition at line 18 of file RichText/RichTextStorage/Gateway/DoctrineStorage.php.

References eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\DoctrineStorage\$connection, and eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\$urlGateway.

## Member Function Documentation

## ◆ getContentIds()

eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\DoctrineStorage::getContentIds | ( | array | $remoteIds | ) |

Return a list of Content ids for a list of remote ids.

Non-existent ids are ignored.

Parameters

  string[] | $remoteIds | An array of Content remote ids

Returns
  int[] An array of Content ids, with remote ids as keys

Reimplemented from eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway.

Definition at line 33 of file RichText/RichTextStorage/Gateway/DoctrineStorage.php.

## Member Data Documentation

## ◆ $connection

eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\DoctrineStorage::$connection
| protected

Definition at line 16 of file RichText/RichTextStorage/Gateway/DoctrineStorage.php.

Referenced by eZ\Publish\Core\FieldType\RichText\RichTextStorage\Gateway\DoctrineStorage\__construct().

The documentation for this class was generated from the following file:

- RichText/RichTextStorage/Gateway/DoctrineStorage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.